org.h2.command.dml

## Class CommandWithValues

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.CommandWithValues

Direct Known Subclasses:
  Insert, Merge, Replace

    public abstract class CommandWithValues
    extends Prepared

Command that supports VALUES clause.

### Field Summary

Fields
`protected java.util.ArrayList<Expression[]>` `valuesExpressionList` Expression data for the VALUES clause.

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
`protected` `CommandWithValues(Session session)` Creates new instance of command with VALUES clause.

### Method Summary

Methods
`void` `addRow(Expression[] expr)` Add a row to this command.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQL, getType, isCacheable, isQuery, isReadOnly, isTransactional, needRecompile, prepare, query, queryMeta, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### valuesExpressionList

    protected final java.util.ArrayList<Expression[]> valuesExpressionList

Expression data for the VALUES clause.

### Constructor Detail

#### CommandWithValues

    protected CommandWithValues(Session session)

Creates new instance of command with VALUES clause.

Parameters:
  `session` - the session

### Method Detail

#### addRow

    public void addRow(Expression[] expr)

Add a row to this command.

Parameters:
  `expr` - the list of values